<?php

namespace App\Rules;

use Illuminate\Contracts\Validation\Rule;
use Vinkla\Hashids\Facades\Hashids;

/**
 * 检查用户UID是否正确 hash
 * 
 * @author 刘相欣
 * 
 *  */
class CheckHexUid implements Rule
{
    /**
     * Create a new rule instance.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Determine if the validation rule passes.
     *
     * @param  string  $attribute
     * @param  mixed  $value
     * @return bool
     */
    public function passes($attribute, $value)
    {
        // 解码
        $friendUid                      = Hashids::decodeHex(request('friend_uid',''));
        // 错误提示
        if( $friendUid > 0 )			return true;
        // 返回正确
        return							false;
    }

    /**
     * Get the validation error message.
     *
     * @return string
     */
    public function message()
    {
        return trans('validation.check_hex_uid');
    }
}
